*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-size: 62.5%;
    font-family: sans-serif;
}

body{
    display: flex;
    flex-wrap: wrap;
    background-color: #a4c3fb;
    justify-content: center;
}

header, main, footer{
    width: 80%;
    /* min-width: 28.8rem; */
    border: 0.2rem solid #2778f1;
}

header{
    background-color: #2778f1;
    border-radius: 0.8rem 0.8rem 0rem 0rem;
    display: flex;
    justify-content: center;
    padding: 1.0rem;
    margin-top: 1.0rem;
}

.header__figure--img, .main__figure--img{
    width: 3.0rem;
}

.header__div--h1, .header__div--h3{
    align-self: center;
    padding-left: 0.5rem;
}

.header__div--h3 h3{
    color: white;
}

main{
    display: flex;
    flex-direction: column;
    height: 35.0rem;
    border-bottom-color: #a4c3fb;
}

.main__section, .main__figure{
    width: 85%;
    margin: 0 auto;
}

.main__section{
    background-color: white;    
    border-radius: 0.6rem 0.6rem;
}

.main__section--other1{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;    
    position: relative;
    top: 1.0rem;
    border: 0.2rem solid #2778f1;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}

.main__figure{
    display: flex;
    justify-content: center;
}

.main__figure--charmander{
    width: 13.0rem;
    position: relative;
    top: 2.5rem;
}

.main__section--other2{
    padding-top: 2.0rem;
    height: 13rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    border: 0.2rem solid #2778f1;
    padding-bottom: 1.0rem;
}

.main__section--section{
    display: flex;
    justify-content: space-evenly;
    font-size: 1.2rem;
}

.main__section--other3{
    background-color: unset;
}

footer{
    background-color: white;
    border-radius: 0rem 0rem 0.8rem 0.8rem;
    border-top-color:white;
}

.footer__figure--img{
    width: 7.0rem;
    height: 7.0rem;
    background-color: #a4c3fb;
    border-radius: 1rem;
}

.footer__section--other2{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.footer__section--other{
    text-align: center;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.footer__section--figure{
    width: 60%;
    height: 15rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-bottom: 1rem;
}

.footer__figure--img:hover{
    border: 0.2rem solid #2778f1;
}

@media (min-width:586px) {
    .footer__figure--img{
        margin-right: 0.2rem;
    }

    .footer__section--figure{
        height: auto;
    }
}

@media (min-width:768px) {

    h1{
        font-size: 1.8rem;
    }

    .header__div--h3 h3{
        color: white;
        font-size: 1.6rem;
    }    

    main{
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 1.0rem;
        grid-auto-rows: minmax(10rem, auto);
        align-items: center;
        align-content: start;
    }

    .main__section, .main__figure{
        width: 100%;
    }

    .main__figure--charmander {
        width: 20.0rem;
    }

    .main__section--other2{
        height: 29.8rem;
        border: 0.2rem solid #2778f1;
        width: 23rem;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        margin-top: 4rem;
    }

    .main__section--other3{
        grid-column-start: 2;
    }    

    .main__section--section {
        display: grid;
        font-size: 1.5rem;
        align-content: center;
        justify-content: center;
        justify-items: center;
    }    

    footer{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .footer__section--other{
        text-align: unset;
        margin-bottom: auto;
        margin-top: auto;
    }

    .footer__section--figure{
        width: 100%;
    }
    
    .footer__figure--img{
        margin-right: 1rem;
        margin-left: 1rem;
        margin-top: 1rem;
    }    

}